from odoo import models


class PaymentToken(models.Model):
    _inherit = 'payment.token'

    def _handle_archiving(self):
        # When installing `openerp_enterprise_test`, we reset the state of the `payment.provider` records.
        # This as the side effect to removing the `payment_token_id` on `sale.order` records, which recompute the
        # `to_renew` field. Avoid this field to be track when we are installing/updating this module.
        if not self.env.registry.ready:
            # during loading
            self = self.with_context(mail_notrack=True)
        return super(PaymentToken, self)._handle_archiving()
